[Fusionforge-commits] r15544 - in branches/Branch_5_2: . src/debian src/debian/dsf-in

Roland Mas lolando at fusionforge.org
Mon May 21 16:20:46 CEST 2012


Author: lolando
Date: 2012-05-21 16:20:45 +0200 (Mon, 21 May 2012)
New Revision: 15544

Added:
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postrm
Modified:
   branches/Branch_5_2/
   branches/Branch_5_2/src/debian/changelog
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in
   branches/Branch_5_2/src/debian/dsf-in/db-postgresql.prerm
Log:
Remove UCF-generated files on purge

Modified: branches/Branch_5_2/src/debian/changelog
===================================================================
--- branches/Branch_5_2/src/debian/changelog	2012-05-21 14:04:19 UTC (rev 15543)
+++ branches/Branch_5_2/src/debian/changelog	2012-05-21 14:20:45 UTC (rev 15544)
@@ -3,8 +3,9 @@
   * Generate initial list of countries and codes from the current known
     data (from isoquery) at build time (closes: #565240).  Thanks to David
     Prévot <david at tilapin.org> for the bulk of the patch.
+  * Remove UCF-generated files on purge (closes: #672256).
 
- -- Roland Mas <lolando at debian.org>  Mon, 21 May 2012 15:13:05 +0200
+ -- Roland Mas <lolando at debian.org>  Mon, 21 May 2012 15:49:11 +0200
 
 fusionforge (5.1.50+svn15410-1) experimental; urgency=low
 

Modified: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in	2012-05-21 14:04:19 UTC (rev 15543)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postinst.dsfh-in	2012-05-21 14:20:45 UTC (rev 15544)
@@ -70,7 +70,7 @@
 	    ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
 	fi
 	# register it with ucfr/ucfq so that next time the normal ucf template is used, in case of user changes (or another package's)
-	ucfr @OLDPACKAGE at -db-postgresql /etc/postgresql/9.0/main/pg_hba.conf
+	ucfr @OLDPACKAGE at -db-postgresql ${pg_hba_dir}/pg_hba.conf
 	rm ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new
 
 	# Make sure the database accepts connections from these new users

Added: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postrm
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postrm	                        (rev 0)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.postrm	2012-05-21 14:20:45 UTC (rev 15544)
@@ -0,0 +1,39 @@
+#! /bin/bash
+# postrm script for @OLDPACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	for i in $(ucfq -w @OLDPACKAGE at -db-postgresql|cut -d: -f1|grep pg_hba.conf) ; do
+	    ucf --purge $i
+	    ucfr --purge @OLDPACKAGE at -db-postgresql $i
+	done
+	;;
+    
+    remove)
+	;;
+    
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+exit 0

Modified: branches/Branch_5_2/src/debian/dsf-in/db-postgresql.prerm
===================================================================
--- branches/Branch_5_2/src/debian/dsf-in/db-postgresql.prerm	2012-05-21 14:04:19 UTC (rev 15543)
+++ branches/Branch_5_2/src/debian/dsf-in/db-postgresql.prerm	2012-05-21 14:20:45 UTC (rev 15544)
@@ -52,8 +52,6 @@
 	/usr/share/@OLDPACKAGE@/bin/install-db.sh purge-files
 	ucf --debconf-ok ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new ${pg_hba_dir}/pg_hba.conf
 	rm ${pg_hba_dir}/pg_hba.conf. at OLDPACKAGE@-new
-	ucf --purge ${pg_hba_dir}/pg_hba.conf
-	ucfr --purge @OLDPACKAGE at -db-postgresql ${pg_hba_dir}/pg_hba.conf
 
 	pg_name=postgresql-$pg_version
 	# Trying "postgresql" init script...




More information about the Fusionforge-commits mailing list